%define realname openmsx

Name:           openttd-%{realname}
Version:        0.3.1
%define subrel	1
Release:        %mkrel 10
Summary:        OpenMSX music replacement set for OpenTTD

Group:          Games/Strategy
License:        GPLv2
URL:            https://github.com/OpenTTD/OpenMSX
Source0:        https://github.com/OpenTTD/OpenMSX/archive/%{version}.tar.gz#/%{realname}-%{version}-source.tar.gz
Patch11:        0001-Fix-replace-tabs-with-spaces-in-scripts.patch
Patch12:        0002-Fix-Don-t-call-deprecated-methods-support-Python-3.patch
BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  python3

%description
OpenMSX is an open source replacement for the original Transport Tycoon
Deluxe (TTD) music.

%prep
%autosetup -p1 -n %{realname}-%{version}-source

# python shebangs
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" ./scripts/

%build
%make_build

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/baseset
%make_install INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/baseset

%check
make check

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/baseset/%{realname}-%{version}/


%changelog
* Sun May 16 2021 wally <wally> 0.3.1-10.1.mga8
+ Revision: 1724987
- fix non-working music with changes from Cauldron r1605801 (mga#28934)
  - use python3 patches from upstream
  - install data files to new location

* Sun Apr 19 2020 danf <danf> 0.3.1-10.mga8
+ Revision: 1569926
- Switch scripts to Python 3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.1-9.mga7
+ Revision: 1265399
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 0.3.1-8.mga6
+ Revision: 929481
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 744001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-6.mga5
+ Revision: 683254
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 508834
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-4.mga3
+ Revision: 362176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.3.1-3.mga3
+ Revision: 257714
- clean specfile

* Sun Jan 09 2011 wally <wally> 0.3.1-2.mga1
+ Revision: 1690
- remove old conflicts
- imported package openttd-openmsx

